Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway.remotestrategies.cache
Class DeleteOnEvictTreeCacheListener

    java.lang.Object
      org.jboss.soa.esb.listeners.gateway.remotestrategies.cache.DeleteOnEvictTreeCacheListener

All Implemented Interfaces:
  org.jboss.cache.TreeCacheListener

    public class DeleteOnEvictTreeCacheListener

extends java.lang.Object
implements org.jboss.cache.TreeCacheListener

This listener will upon node eviction events delete the node from the cache.

This listener should be used in combination with a cache loader
so that it is possible to set an eviction policy and when nodes
are evicted they are also deleted from the cache loaders store

Author:
  Daniel Bevenius

Constructor Summary
`DeleteOnEvictTreeCacheListener(org.jboss.cache.TreeCache treeCache)`

Method Summary
`void` | `cacheStarted(org.jboss.cache.TreeCache arg0)`
`void` | `cacheStopped(org.jboss.cache.TreeCache arg0)`
`void` | `nodeCreated(org.jboss.cache.Fqn arg0)`
`void` | `nodeEvicted(org.jboss.cache.Fqn fqn)` Will remove from the passed in fqn upon being evicted from the cache.
`void` | `nodeLoaded(org.jboss.cache.Fqn arg0)`
`void` | `nodeModified(org.jboss.cache.Fqn arg0)`
`void` | `nodeRemoved(org.jboss.cache.Fqn arg0)`
`void` | `nodeVisited(org.jboss.cache.Fqn arg0)`
`void` | `viewChange(org.jgroups.View arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteOnEvictTreeCacheListener

    public DeleteOnEvictTreeCacheListener(org.jboss.cache.TreeCache treeCache)

Method Detail

### nodeEvicted

    public void nodeEvicted(org.jboss.cache.Fqn fqn)

  Will remove from the passed in fqn upon being evicted from the cache.

  Specified by:
    `nodeEvicted` in interface `org.jboss.cache.TreeCacheListener`

### cacheStarted

    public void cacheStarted(org.jboss.cache.TreeCache arg0)

  Specified by:
    `cacheStarted` in interface `org.jboss.cache.TreeCacheListener`

### cacheStopped

    public void cacheStopped(org.jboss.cache.TreeCache arg0)

  Specified by:
    `cacheStopped` in interface `org.jboss.cache.TreeCacheListener`

### nodeCreated

    public void nodeCreated(org.jboss.cache.Fqn arg0)

  Specified by:
    `nodeCreated` in interface `org.jboss.cache.TreeCacheListener`

### nodeLoaded

    public void nodeLoaded(org.jboss.cache.Fqn arg0)

  Specified by:
    `nodeLoaded` in interface `org.jboss.cache.TreeCacheListener`

### nodeModified

    public void nodeModified(org.jboss.cache.Fqn arg0)

  Specified by:
    `nodeModified` in interface `org.jboss.cache.TreeCacheListener`

### nodeRemoved

    public void nodeRemoved(org.jboss.cache.Fqn arg0)

  Specified by:
    `nodeRemoved` in interface `org.jboss.cache.TreeCacheListener`

### nodeVisited

    public void nodeVisited(org.jboss.cache.Fqn arg0)

  Specified by:
    `nodeVisited` in interface `org.jboss.cache.TreeCacheListener`

### viewChange

    public void viewChange(org.jgroups.View arg0)

  Specified by:
    `viewChange` in interface `org.jboss.cache.TreeCacheListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD